> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get target device counts for softwares

> Return, for each of the given software IDs, the number of devices currently targeted by that software. To preview a not-yet-saved targeting instead, use `simulateSoftwareTargetCount`.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json post /software/target-counts
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /software/target-counts:
    post:
      tags:
        - Softwares
      summary: Get target device counts for softwares
      description: >-
        Return, for each of the given software IDs, the number of devices
        currently targeted by that software. To preview a not-yet-saved
        targeting instead, use `simulateSoftwareTargetCount`.
      operationId: getSoftwareTargetCounts
      parameters: []
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResolveSoftwareTargetCounts_Output'
components:
  schemas:
    ResolveSoftwareTargetCounts_Output:
      type: object
      properties:
        counts:
          type: object
          propertyNames:
            description: Software ID
            type: string
          additionalProperties:
            description: Target device count
            type: integer
            minimum: 0
            maximum: 9007199254740991
      required:
        - counts
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````